%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name network
%define f_pkg_name network
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 2.2.0.1
Release: alt1

Summary: networking-related facilities
License: BSD
Group: Development/Haskell

Source: %h_pkg_name-%version.tar

Packager: Alexander Myltsev <avm@altlinux.ru>

BuildRequires: ghc haddock %hs_package_dependencies parsec
BuildRequires(pre): rpm-build-haskell


%description
Networking facilities for the Glorious Haskell Compiler.


%prep
%setup -n %h_pkg_name-%version


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
%hs_setup %hs_configure --prefix=%_prefix --libdir=%_libdir\
	--docdir=%_docdir/%hsc_namever-%f_pkg_name-%version\
	--libsubdir='$compiler/$pkgid'\
	--disable-library-profiling --ghc
if %hs_setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
%hs_setup build
%hs_setup haddock || :
%hs_setup register --gen-pkg-config=%f_pkg_name.pkg


%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE


%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Wed Nov 19 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.0.1-alt1
- new version.

* Sat Jul 12 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.0.0-alt1
- spec file autogenerated by cabal-rpm
